<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>

<body>
    <div class="container m-2">
        <button type="button" class="btn btn-primary m-2" onclick="getAll()">Get All</button>
        <button type="button" class="btn btn-secondary  m-2" onclick="getPostById()">Get Detail</button>
        <button type="button" class="btn btn-success  m-2" onclick="getCreate()">Create</button>
        <button type="button" class="btn btn-danger  m-2" onclick="getUpdate()">Update</button>
        <button type="button" class="btn btn-warning  m-2" onclick="getDelete()">Delete</button>


    </div>
    <script>
        const gUrl = "https://jsonplaceholder.typicode.com/posts"
        function fetchApi(url, options) {

            fetch(url, options)
                .then((res) => {
                    return res.json();
                })
                .then((data) => {
                    console.log(data);
                })
                .catch((error) => {
                    console.log(error)
                })
        };

        function getAll() {
            fetchApi(gUrl, {
                method: "GET"
            })
        };

        function getPostById() {
            fetchApi(gUrl + "/1", {
                method: "GET"
            })
        }

        function getCreate() {
            fetchApi(gUrl, {
                method: 'POST',
                body: JSON.stringify({
                    title: 'foo',
                    body: 'bar',
                    userId: 1,
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
        }
        function getUpdate() {
            fetchApi(gUrl + "/1", {
                method: 'PUT',
                body: JSON.stringify({
                    id: 1,
                    title: 'foo',
                    body: 'bar',
                    userId: 1,
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
        }
        function getDelete() {
            fetchApi(gUrl + "/1", {
                method: "DELETE",
            })
        }

    </script>
</body>

</html>